/* 
	Corsix's Image Retargetr
    Copyright (C) 2007 Peter Cawley

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _FRM_REALTIMERETARGET_H_
#define _FRM_REALTIMERETARGET_H_

#include "wx/wxprec.h"
#ifdef __BORLANDC__
    #pragma hdrstop
#endif
#ifndef WX_PRECOMP
    #include "wx/app.h"
    #include "wx/log.h"
    #include "wx/frame.h"
    #include "wx/panel.h"
    #include "wx/timer.h"
    #include "wx/utils.h"
    #include "wx/menu.h"
    #include "wx/msgdlg.h"
    #include "wx/textdlg.h"
    #include "wx/filedlg.h"
    #include "wx/choicdlg.h"
    #include "wx/button.h"
    #include "wx/textctrl.h"
    #include "wx/listbox.h"
    #include "wx/sizer.h"
#endif
#include "wx/txtstrm.h"
#include "wx/numdlg.h"
#include "wx/ffile.h"
#include "wx/process.h"
#include "wx/mimetype.h"

#include "wx/statbox.h"
#include "Retarget.h"

class frmRealtimeRetarget : public wxDialog
{
public:
    frmRealtimeRetarget(wxWindow* parent, const wxString& title, const wxPoint& pos, const wxSize& size, RetargetrToUse& retargetr);

private:
	RetargetrToUse& m_oRetargetr;
	
	wxBitmap m_bmpImage;

	void OnErase(wxEraseEvent& event);
	void OnResize(wxSizeEvent& event);

    DECLARE_EVENT_TABLE()
};

#endif